Bug 1011791 - ValueError: ('invalid size specification', '-36.7962646484 mb')
ValueError: ('invalid size specification', '-36.7962646484 mb')
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:5c94ed4f1d1d4e4806e476f1443...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 03:18 EDT by Mohammad Waseem
Modified: 2013-10-15 10:34 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (39.83 KB, text/plain)
2013-09-25 03:18 EDT, Mohammad Waseem
no flags Details
File: environ (518 bytes, text/plain)
2013-09-25 03:18 EDT, Mohammad Waseem
no flags Details
File: lsblk_output (2.50 KB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: messages (414.60 KB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: nmcli_dev_list (5.91 KB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: os_info (179 bytes, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: program.log (192.48 KB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: storage.log (672.24 KB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: ifcfg.log (2.06 KB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details
File: anaconda-tb (1.41 MB, text/plain)
2013-09-25 03:19 EDT, Mohammad Waseem
no flags Details

  None (edit)
Description Mohammad Waseem 2013-09-25 03:18:47 EDT
Description of problem:
1. i am trying to install fedora 19 on my fedora 15 PC
2. i choose the option install on hard disk.
3. then i select the disk in which i have to install the OS.
4.then i click on reclaim space
5.I am trying to recreate the Disk partion then the error occured. 

Version-Release number of selected component:
anaconda-19.30.13-1.fc19.x86_64

The following was filed automatically by anaconda:
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/size.py", line 80, in _parseSpec
    raise ValueError("invalid size specification", spec)
  File "/usr/lib/python2.7/site-packages/blivet/size.py", line 138, in __new__
    self = Decimal.__new__(cls, value=_parseSpec(spec))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/lib/disks.py", line 82, in size_str
    return str(Size(spec=spec)).upper()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 144, in populate
    % {"freeSize": size_str(freeSize), "devSize": size_str(dev.size)}
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 283, in refresh
    self.populate(disks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 873, in _show_resize_dialog
    resizeDialog.refresh(disks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 855, in on_back_clicked
    if not self._show_resize_dialog(disks):
ValueError: ('invalid size specification', '-36.7962646484 mb')

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
other involved packages: python-blivet-0.17-1.fc19.noarch
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19
Comment 1 Mohammad Waseem 2013-09-25 03:18:53 EDT
Created attachment 802601 [details]
File: anaconda.log
Comment 2 Mohammad Waseem 2013-09-25 03:18:57 EDT
Created attachment 802602 [details]
File: environ
Comment 3 Mohammad Waseem 2013-09-25 03:19:01 EDT
Created attachment 802603 [details]
File: lsblk_output
Comment 4 Mohammad Waseem 2013-09-25 03:19:08 EDT
Created attachment 802604 [details]
File: messages
Comment 5 Mohammad Waseem 2013-09-25 03:19:13 EDT
Created attachment 802605 [details]
File: nmcli_dev_list
Comment 6 Mohammad Waseem 2013-09-25 03:19:17 EDT
Created attachment 802606 [details]
File: os_info
Comment 7 Mohammad Waseem 2013-09-25 03:19:22 EDT
Created attachment 802607 [details]
File: program.log
Comment 8 Mohammad Waseem 2013-09-25 03:19:31 EDT
Created attachment 802608 [details]
File: storage.log
Comment 9 Mohammad Waseem 2013-09-25 03:19:36 EDT
Created attachment 802609 [details]
File: ifcfg.log
Comment 10 Mohammad Waseem 2013-09-25 03:19:50 EDT
Created attachment 802613 [details]
File: anaconda-tb
Comment 11 Vratislav Podzimek 2013-10-02 09:06:05 EDT
David, I think this is the known "click on mountpoint in reclaim dialog" issue, but I don't know its bug number and cannot find it.
Comment 12 David Lehman 2013-10-08 13:14:51 EDT
There seem to be some serious repairs needed to your disk layout before you can expect to install an OS on it.

/dev/sda1 reports a device size of 0.96923828125 MB, but the ntfs on it reports a size of 99 MiB and minimum size of 37 MiB. This means the device is far too small to contain the filesystem it supposedly contains.

/dev/sda2 reports a device size of 100 MB, but the ntfs on it reports a size of 150837 MiB and a minimum size of 13885 MiB. This again means the device is not large enough to contain the filesystem it supposedly contains.

/dev/sda4 reports a device size of 326001 MB, but the ntfs on it reports a size of 49998 MiB and a minimum size of 3072 MiB. This means that the filesystem should either be grown to fill the device or the device shrunk to the size of the filesystem it contains.

sda1 and sda2 require your attention. You have to resolve these problems before you will be able to install Fedora on this system.

Note You need to log in before you can comment on or make changes to this bug.